Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.crawler
Interface IDocument

public interface IDocument

An interface that allows the portal to query information about and retrieve documents from backend repositories.

Method Summary
`java.lang.String` | `getDocument()` If using DocFetch, this method returns the file path to the document in the backend repository.
`java.lang.String` | `getDocumentSignature()` Returns the signature or last-modified-date of this document that indicates to the portal whether the document has changed and needs refreshing.
`ACLEntry[]` | `getGroups()` Returns an array of the groups that have access to this document.
`DocumentMetaData` | `getMetaData(java.lang.String[] filter)` Returns metadata information about this document.
`ACLEntry[]` | `getUsers()` Returns an array of the users that have access to this document.

Method Detail

### getUsers

    public ACLEntry[] getUsers()
                        throws ServiceException

  Returns an array of the users that have access to this document.

  Returns:
    the `ACLEntry` array of users
  Throws:
    `ServiceException` - if an error occurred

### getGroups

    public ACLEntry[] getGroups()
                         throws ServiceException

  Returns an array of the groups that have access to this document.

  Returns:
    the `ACLEntry` array of groups
  Throws:
    `ServiceException` - if an error occurred

### getDocumentSignature

    public java.lang.String getDocumentSignature()
                                          throws ServiceException

  Returns the signature or last-modified-date of this document that indicates to the portal whether the document has changed and needs refreshing.

  Returns:
    the signature string
  Throws:
    `ServiceException` - if an error occurred

### getMetaData

    public DocumentMetaData getMetaData(java.lang.String[] filter)
                                 throws ServiceException

  Returns metadata information about this document.

  Properties will only be imported if they are mapped in the Global Property Map of the portal and are not read-only. All unmapped properties will be discarded.

  The following properties are always read-only: Crawler Tag, Content Language, Object Created, Object Last Modified and Document Type ID.

  Certain reserved field names are handled specially:

  Name
    The name of the link in the portal.
  Description
    The description of the link in the portal.
  File Name
    The name of the click-through file.
  Content Type
    The content type of the click-through file.
  URL
    The URL of the document.
  Image UUID
    Overrides the default image displayed next to the document link in the portal. Must refer to an image installed on the image server. Typically this is only used for custom types.

  Note: When providing values for date properties, the value should be in the format MM/dd/yy HH:mm:ss PM. For example, 10/25/04 12:53:30 PM.

  Parameters:
    `filter` - a string array containing the desired metadata attributes to retrieve; null in the present release
  Returns:
    the metadata object
  Throws:
    `ServiceException` - if an error occurred

### getDocument

    public java.lang.String getDocument()
                                 throws ServiceException

  If using DocFetch, this method returns the file path to the document in the backend repository. During crawl-time indexing, this file will be copied to the web-accessible location specified in the `IndexFilePath` parameter of the DocumentProviderSoapBinding service in the server-config.wsdd file. This file is located in the WEB-INF folder of the web application. The value returned by `getDocument` is appended to the value entered in the `IndexURLPrefix` parameter of the DocumentProviderSoapBinding service in the server-config.wsdd file and returned to the portal via a URL to that temporary location. During click-through, this file will be streamed back via the DocFetch servlet to the browser. Note: The `IndexFilePath` must be web-accessible. The `IndexURLPrefix` must point to the same location as `IndexFilePath` and must be a full URL (must start with http:// or https://). If any cleanup is required due to temporary file usage, it should be done on subsequent calls to `IDocumentProvider.attachToDocument()` and `IDocumentProvider.shutdown()`. If not using DocFetch, this method should return an empty string "".

  Returns:
    the path to the file
  Throws:
    `ServiceException` - if an error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.